org.apache.cassandra.streaming.compress

## Class CompressionInfo

- java.lang.Object
- - org.apache.cassandra.streaming.compress.CompressionInfo

-     public class CompressionInfo
      extends java.lang.Object

  Container that carries compression parameters and chunks to decompress data from stream.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `CompressionMetadata.Chunk[]` | `chunks`
    `CompressionParams` | `parameters`
    `static IVersionedSerializer<CompressionInfo>` | `serializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompressionInfo(CompressionMetadata.Chunk[] chunks, CompressionParams parameters)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static final IVersionedSerializer<CompressionInfo> serializer

    - #### chunks

          public final CompressionMetadata.Chunk[] chunks

    - #### parameters

          public final CompressionParams parameters

  - ### Constructor Detail

    - #### CompressionInfo

          public CompressionInfo(CompressionMetadata.Chunk[] chunks,
                                 CompressionParams parameters)

Copyright © 2018 The Apache Software Foundation